net.sf.jasperreports.engine.export

## Class AbstractPdfTextRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractTextRenderer
  - - net.sf.jasperreports.engine.export.AbstractPdfTextRenderer

- Direct Known Subclasses:
    PdfTextRenderer, SimplePdfTextRenderer

      public abstract class AbstractPdfTextRenderer
      extends AbstractTextRenderer

  Version:
    $Id: AbstractPdfTextRenderer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `horizontalAlignment`
    `protected float` | `leftOffsetFactor`
    `protected com.lowagie.text.pdf.PdfContentByte` | `pdfContentByte`
    `protected JRPdfExporter` | `pdfExporter`
    `protected float` | `rightOffsetFactor`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractTextRenderer

      `allText, bottomPadding, drawPosX, drawPosY, height, isMaxHeightReached, jasperReportsContext, leftPadding, LINE_BREAK_FONT_RENDER_CONTEXT, lineHeight, noBackcolorSelector, rightPadding, segmentIndex, segments, styledText, text, topPadding, verticalAlignOffset, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPdfTextRenderer(boolean ignoreMissingFont)` Deprecated. Replaced by `AbstractPdfTextRenderer(JasperReportsContext, boolean)`.
    `AbstractPdfTextRenderer(JasperReportsContext jasperReportsContext, boolean ignoreMissingFont)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(JRPdfExporter pdfExporter, com.lowagie.text.pdf.PdfContentByte pdfContentByte, JRPrintText text, int offsetX, int offsetY)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractTextRenderer

      `draw, getFontRenderContext, getHeight, getLineHeight, getPlainText, getStyledText, getWidth, getX, getY, initialize, render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pdfExporter

          protected JRPdfExporter pdfExporter

    - #### pdfContentByte

          protected com.lowagie.text.pdf.PdfContentByte pdfContentByte

    - #### horizontalAlignment

          protected int horizontalAlignment

    - #### leftOffsetFactor

          protected float leftOffsetFactor

    - #### rightOffsetFactor

          protected float rightOffsetFactor

  - ### Constructor Detail

    - #### AbstractPdfTextRenderer

          public AbstractPdfTextRenderer(boolean ignoreMissingFont)

      Deprecated. Replaced by `AbstractPdfTextRenderer(JasperReportsContext, boolean)`.

    - #### AbstractPdfTextRenderer

          public AbstractPdfTextRenderer(JasperReportsContext jasperReportsContext,
                                 boolean ignoreMissingFont)

  - ### Method Detail

    - #### initialize

          public void initialize(JRPdfExporter pdfExporter,
                        com.lowagie.text.pdf.PdfContentByte pdfContentByte,
                        JRPrintText text,
                        int offsetX,
                        int offsetY)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com